html{
    scroll-behavior: smooth;
    
}
body{
    font-family: 'Roboto', sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  
}
@media screen and (max-width: 768px){
    .hide-for-mobile{
        display: none;
    }
    
}
@media screen and (min-width: 768px){
    .hide-for-desktop{
        display: none;
    }
}
@keyframes slidefromright{
    from{
        transform: translateX(100%);
    }
    to{
        transform: translateX(0);
    }
}


@keyframes slidefromleft{
    from{
        transform: translateX(-100%);
    }
    to{
        transform: translateX(0);
    }
}
@keyframes fadeIn{
    from{
        opacity: 0;
    }
    to{
        opacity: 1;
    }   
}

@keyframes slidefromtop{
    from{
        transform: translateY(-100%);
    }
    to{
        transform: translateY(0);
    }
}
.slidefromright{
    animation: slidefromright .4s ease-in-out;
}
.slidefromright1{
    animation: slidefromright .5s ease-in-out;
}
.slidefromright2{
    animation: slidefromright .6s ease-in-out;
}
.slidefromright3{
    animation: slidefromright .7s ease-in-out;
}
.slidefromright4{
    animation: slidefromright .8s ease-in-out;
}
.slidefromright5{
    animation: slidefromright .9s ease-in-out;
}
.slidefromright6{
    animation: slidefromright 1s ease-in-out;
}
.slidefromright6{
    animation: slidefromright 1.1s ease-in-out;
}
.slidefromright7{
    animation: slidefromright 1.2s ease-in-out;
}
.slidefromright8{
    animation: slidefromright 1.3s ease-in-out;
}
.slidefromright9{
    animation: slidefromright 1.4s ease-in-out;
}
.opaque{
    opacity: 0;
}
.slidefromtop{
    animation: slidefromtop 1s ease-in-out;
}
.fadeIn{
    animation: fadeIn 1s ease-in-out;
}
.fadeIn2{
    animation: fadeIn 2s ease-in-out;
}

.blender{
    background: linear-gradient(#fefefe, rgb(238, 255, 2));
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    padding: 10px;
    padding-top: 100px;
    overflow: hidden;
   
    
  
}
.blender2::after {
    background: linear-gradient(#fefefe, rgb(2, 255, 166));
    height: 280vh;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-wrap: wrap;
    padding: 10px;
    padding-top: 100px;
    margin-top: 100px;
    transform: skewY(2deg);
    margin-top: -30px;
    overflow: hidden;

}
.blender3 {
    background: linear-gradient(#c400ff, rgb(255, 145, 49));
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-wrap: wrap;
    padding: 10px;
    padding-top: 100px;
    margin-top: 100px;
    
    margin-top: -30px;
    overflow: hidden;

}
.smooth-outline-text{
    font-size: 2rem;
    color: rgb(255, 255, 255);
    text-align: center;
    text-transform: uppercase;
    font-weight: 700;
    letter-spacing: 2px;
    text-shadow: 2px 2px 2px black;
    animation: slidefromleft 1s ease-in-out;
}
.font{
    font-family:Arial, Helvetica, sans-serif;
}
.antiskew{
    
    transform: scaleY(2deg);
}
:root {
    color-scheme: light;
  }

  /* Enforce light mode styles */
  body {
    background-color: white;
    color: black;
  }

.bg{
    background: linear-gradient(#c400ff, rgb(255, 145, 49));
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-wrap: wrap;
    padding: 10px;
    
    overflow: hidden;
}
.m10{
    margin-left: 10%;
    margin-right: 10%;
}
.webdesignbg{
    background:#00a6ff;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-wrap: wrap;
    padding: 10px;
    
    overflow: hidden;
}
.Frostbite{
height: 30vh;
width: 100%;
background-color: #00a6ff;
}
.projectsbg{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-wrap: wrap;
    padding-bottom: 100px;
    
    overflow: hidden;
}
#Frostbite{
    width: 100%;
}